IBM Security SOAR

Expand all | Collapse all

Upgrade from Python 2.7 to 3.X

  • 1.  Upgrade from Python 2.7 to 3.X

    Posted Thu September 09, 2021 01:56 AM
    Dears

    Why SOAR 42.0 come with python 2.7 not 3.x
    and how to upgrade to 3.x .

    and where we should  installing Python on  SOAR or AppHost server .

    Thanks


    ------------------------------
    M Ramadan
    ------------------------------


  • 2.  RE: Upgrade from Python 2.7 to 3.X

    Posted Fri September 10, 2021 07:16 AM
    What is your goal? Are you trying to build your own custom apps?

    Ben

    ------------------------------
    Ben Lurie
    ------------------------------



  • 3.  RE: Upgrade from Python 2.7 to 3.X

    Posted Fri September 10, 2021 04:15 PM
    Hi Ben,

    No, 
    but the apps at https://exchange.xforce.ibmcloud.com/ need to run over 3 or over 2.7 

    and thie message appear on APPHost Console " DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support pip 21.0 will remove support for this functionality. "


    Thanks

    ------------------------------
    M Ramadan
    ------------------------------



  • 4.  RE: Upgrade from Python 2.7 to 3.X

    Posted Mon September 13, 2021 08:10 AM
    I'm not certain about Python 2/3 support on the appliance.

    However most of the apps on the AppExchange run inside an AppHost. The apps are downloaded from the AppExchange and installed via the GUI of the SOAR application. They are self contained container images. So it is typically not necessary to worry about the Python versions.

    Ben

    ------------------------------
    Ben Lurie
    ------------------------------